export const ColorLegend = ({colorScale, tickSpacing = 20, tickSize = 5, tickTextOffset=10}) => {
	return (
    colorScale.domain().map((domainValue, i) => {
      return (
        <g className="tick" transform={`translate(0,${i * tickSpacing})`}>
          <circle fill={colorScale(domainValue)} r={tickSize}/>
          <text x={tickTextOffset} dy="0.32em">{domainValue}</text>
        </g>
        )
    })
  )
}